org.h2.test.coverage

## Class Profile

- java.lang.Object
- - java.lang.Thread
  - - org.h2.test.coverage.Profile

All Implemented Interfaces:
  java.lang.Runnable

    public class Profile
    extends java.lang.Thread

The class used at runtime to measure the code usage and performance.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Method Summary

Methods
`static void` `list()` List all captured data.
`void` `run()`
`static void` `startCollecting()` Start collecting data.
`static void` `stopCollecting()` Stop collecting data.
`static void` `visit(int i)` This method is called by an instrumented application whenever a line of code is executed.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### visit

    public static void visit(int i)

This method is called by an instrumented application whenever a line of code is executed.

Parameters:
  `i` - the line number that is executed

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### startCollecting

    public static void startCollecting()

Start collecting data.

#### stopCollecting

    public static void stopCollecting()

Stop collecting data.

#### list

    public static void list()

List all captured data.